package me.eater.threedom.dom

interface INodeContainer : INodeQueryCapable {
    fun addNode(newNode: INode<*>)
    fun removeNode(refNode: INode<*>)
    fun removeAll()
    fun replaceNode(newNode: INode<*>, refNode: INode<*>): Boolean
    fun hasChild(refNode: INode<*>): Boolean
    fun sequence(): Sequence<INode<*>>

    operator fun iterator(): Iterator<INode<*>>
}
