package me.eater.threedom.event

interface EventListener {
    fun <T> on(eventName: String, block: (Event<T>) -> Unit)
}

inline fun <reified T> EventListener.on(noinline block: (Event<T>) -> Unit) = on(T::class.java.name, block)
